Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 18853)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 19661)
@@ -73,4 +73,14 @@
         
         $this->httpCacheControl('nocache');
+    }
+
+    /**
+     * Page のプロセス.
+     * 
+     * @return void
+     */
+    function process() {
+        $this->action();
+        $this->sendResponse();
     }
 
@@ -156,13 +166,9 @@
      * - $_POST["mode"]('return', 'confirm', 'complate')
      *
-     * @global $objCampaignSess
      * @return void
      */
-    function process() {
-        global $objCampaignSess;
-
+    function action() {
         $objView = new SC_SiteView();
         $objCustomer = new SC_Customer();
-        $objCampaignSess = new SC_CampaignSession();
         $objDb = new SC_Helper_DB_Ex();
         $CONF = $objDb->sf_getBasisData();
@@ -219,5 +225,5 @@
         if ($_SERVER["REQUEST_METHOD"] == "POST") {
 
-            if (!$this->isValidToken()) {
+            if (!SC_Helper_Session_Ex::isValidToken()) {
                 SC_Utils_Ex::sfDispSiteError(PAGE_ERROR, "", true);
             }
@@ -283,9 +289,4 @@
                 //-- 会員登録と完了画面
                 if ($_POST["mode"] == "complete") {
-                    // キャンペーンからの遷移の時用の値
-                    if($objCampaignSess->getIsCampaign()) {
-                        $this->etc_value = "&cp=".$objCampaignSess->getCampaignId();
-                    }
-
                     // 会員情報の登録
                     $this->CONF = $CONF;
@@ -335,5 +336,5 @@
                     // 完了ページに移動させる。
                     $customer_id = $objQuery->get("dtb_customer", "customer_id", "secret_key = ?", array($this->uniqid));
-                    $this->sendRedirect($this->getLocation("./complete.php", array("ci" => $customer_id)));
+                    $this->objDisplay->redirect($this->getLocation("./complete.php", array("ci" => $customer_id)));
                     exit;
                 }
@@ -341,10 +342,5 @@
         }
 
-        $this->transactionid = $this->getToken();
-
-        //---- ページ表示
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
+        $this->transactionid = SC_Helper_Session_Ex::getToken();
     }
 
@@ -366,4 +362,14 @@
      */
     function mobileProcess() {
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         //---- ページ初期設定
         $objDb = new SC_Helper_DB_Ex();
@@ -586,5 +592,5 @@
                                        "id" => $this->uniqid,
                                        session_name() => session_id());
-                        $this->sendRedirect($this->getLocation(MOBILE_URL_DIR . "regist/" . DIR_INDEX_URL, $param));
+                        $this->objDisplay->redirect($this->getLocation(MOBILE_URL_DIR . "regist/" . DIR_INDEX_URL, $param));
                         exit;
                     }
@@ -634,13 +640,9 @@
 
                     // 完了ページに移動させる。
-                    $this->sendRedirect($this->getLocation("./complete.php"), true);
+                    $this->objDisplay->redirect($this->getLocation("./complete.php"));
                     exit;
                 }
             }
         }
-
-        //---- ページ表示
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 19661)
@@ -55,7 +55,17 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objCustomer = new SC_Customer();
         // 不正なURLがPOSTされた場合はエラー表示
-        if (!$this->isValidToken()) {
+        if (!SC_Helper_Session_Ex::isValidToken()) {
             GC_Utils_Ex::gfPrintLog('invalid access :login_check.php $POST["url"]=' . $_POST['url']);
             SC_Utils_Ex::sfDispSiteError(PAGE_ERROR);
@@ -96,5 +106,5 @@
             if(count($arrErr) == 0) {
                 if($objCustomer->getCustomerDataFromEmailPass($arrForm['login_pass'], $arrForm['login_email'], true)) {
-                    $this->sendRedirect($this->getLocation(URL_DIR, array(), false));
+                    $this->objDisplay->redirect($this->getLocation(URL_DIR, array(), false));
                     exit;
                 } else {
@@ -112,5 +122,5 @@
             } else {
                 // 入力エラーの場合、元のアドレスに戻す。
-                $this->sendRedirect($this->getLocation($_POST['url'], array(), false));
+                $this->objDisplay->redirect($this->getLocation($_POST['url'], array(), false));
                 exit;
             }
@@ -122,7 +132,7 @@
             //マイページログイン中はログイン画面へ移行
             if ($mypage_url_search == 2){
-                $this->sendRedirect($this->getLocation(URL_DIR . "mypage/login.php", array(), false));
+                $this->objDisplay->redirect($this->getLocation(URL_DIR . "mypage/login.php", array(), false));
             }else{
-                $this->sendRedirect($this->getLocation(URL_DIR, array(), false));
+                $this->objDisplay->redirect($this->getLocation(URL_DIR, array(), false));
             }
             exit;
Index: /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 19661)
@@ -82,5 +82,5 @@
         $this->tpl_disable_logout = $this->lfCheckDisableLogout();
         $objSubView = new SC_SiteView(false);
-        $this->transactionid = $this->getToken();
+        $this->transactionid = SC_Helper_Session_Ex::getToken();
         $objSubView->assignobj($this);
         $objSubView->display($this->tpl_mainpage);
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Search.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Search.php	(revision 19661)
@@ -52,4 +52,15 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function action() {
     }
 
@@ -60,6 +71,18 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = 'products/search.tpl';
         $this->tpl_title = '商品検索';
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
     }
 
@@ -69,9 +92,5 @@
      * @return void
      */
-    function mobileProcess() {
-        $objView = new SC_MobileView();
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+    function mobileAction() {
     }
 
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_CategoryList.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_CategoryList.php	(revision 19661)
@@ -52,5 +52,14 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
     }
+
+    /**
+     * Page のAction
+     * @return void
+     */
+    function action() {}
 
     /**
@@ -60,4 +69,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = MOBILE_TEMPLATE_DIR . 'products/category_list.tpl';
         $this->tpl_title = 'カテゴリ一覧ページ';
@@ -65,13 +75,24 @@
 
     /**
-     * Page のプロセス(モバイル).
+     * Page のプロセス（モバイル）.
      *
      * @return void
      */
-    function mobileProcess() {
+    function mobileProcess(){
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         // カテゴリIDの正当性チェック
         $this->lfCheckCategoryId();
         
-        $objView = new SC_MobileView();
+        //$objView = new SC_MobileView();
 
         // レイアウトデザインを取得
@@ -82,6 +103,6 @@
         $this->lfGetCategories(@$_GET['category_id'], true, $this);
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_ReviewComplete.php	(revision 19661)
@@ -47,4 +47,5 @@
     }
 
+
     /**
      * Page のプロセス.
@@ -53,9 +54,16 @@
      */
     function process() {
-
-        $objView = new SC_SiteView();
-
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+    
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        $this->setTemplate($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 18862)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_List.php	(revision 19661)
@@ -84,7 +84,16 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     *  ページのアクション（旧process)
+     * @return void
+     */
+    function action() {
         $this->lfLoadParam();
-
-        $objView = new SC_SiteView(!$this->inCart);
+        //$objView = new SC_SiteView(!$this->inCart);
         $objQuery = new SC_Query();
         $objDb = new SC_Helper_DB_Ex();
@@ -161,5 +170,5 @@
                 $objCartSess = new SC_CartSession();
                 $objCartSess->addProduct($product_class_id, $this->arrForm['quantity'], $product_type);
-                $this->sendRedirect($this->getLocation(URL_CART_TOP));
+                $this->objDisplay->redirect($this->getLocation(URL_CART_TOP));
                 exit;
             }
@@ -176,11 +185,9 @@
             }
         }
+
         $this->tpl_javascript .= 'function fnOnLoad(){' . $js_fnOnLoad . '}';
         $this->tpl_onload .= 'fnOnLoad(); ';
 
         $this->tpl_rnd = SC_Utils_Ex::sfGetRandomString(3);
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
@@ -197,12 +204,22 @@
      * Page のプロセス(モバイル).
      *
+     * @return void
+     */
+    function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobieAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
      * FIXME スパゲッティ...
      *
      * @return void
      */
-    function mobileProcess() {
+    function mobieAction(){
         $this->lfLoadParam();
-
-        $objView = new SC_MobileView();
+        //$objView = new SC_MobileView();
         $objQuery = new SC_Query();
         $objDb = new SC_Helper_DB_Ex();
@@ -263,7 +280,4 @@
 
         $this->tpl_mainpage = MOBILE_TEMPLATE_DIR . "products/list.tpl";
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Review.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Review.php	(revision 19661)
@@ -66,13 +66,22 @@
     /**
      * Page のプロセス.
+     */
+    function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
      *
      * @return void
      */
-    function process() {
-        $objView = new SC_SiteView();
+    function action() {
+        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
 
         if ($_SERVER["REQUEST_METHOD"] == "POST") {
-            if (!$this->isValidToken()) {
+            if (!SC_Helper_Session_Ex::isValidToken()) {
                 SC_Utils_Ex::sfDispSiteError(PAGE_ERROR, "", true);
             }
@@ -145,5 +154,5 @@
                     $this->lfRegistRecommendData($arrForm, $arrRegistColumn);
                     //レビュー書き込み完了ページへ
-                    $this->sendRedirect($this->getLocation("./review_complete.php", array(), true));
+                    $this->objDisplay->redirect($this->getLocation("./review_complete.php", array(), true));
                     exit;
                 }
@@ -168,7 +177,6 @@
         }
 
-        $this->transactionid = $this->getToken();
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
+        $this->transactionid = SC_Helper_Session_Ex::getToken();
+        $this->setTemplate($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 18876)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 19661)
@@ -78,4 +78,15 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
         // プロダクトIDの正当性チェック
         $product_id = $this->lfCheckProductId();
@@ -216,10 +227,10 @@
                         $objCartSess->saveCurrentCart($objSiteSess->getUniqId());
 
-                        $this->sendRedirect($this->getLocation(
+                        $this->objDisplay->redirect($this->getLocation(
                             URL_DIR . 'user_data/gmopg_oneclick_confirm.php', array(), true));
                         exit;
                     }
 
-                    $this->sendRedirect($this->getLocation(URL_CART_TOP));
+                    $this->objDisplay->redirect($this->getLocation(URL_CART_TOP));
                     exit;
                 }
@@ -269,6 +280,6 @@
         $this->lfConvertParam();
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
@@ -294,4 +305,14 @@
     /**
      * Page のプロセス(モバイル).
+     * @return void
+     */
+    function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
      *
      * FIXME 要リファクタリング
@@ -299,9 +320,9 @@
      * @return void
      */
-    function mobileProcess() {
+    function mobileAction() {
         // プロダクトIDの正当性チェック
         $product_id = $this->lfCheckProductId();
 
-        $objView = new SC_MobileView();
+        //$objView = new SC_MobileView();
         $objCustomer = new SC_Customer();
         $objQuery = new SC_Query();
@@ -419,5 +440,5 @@
 
                 $objCartSess->addProduct(array($_POST['product_id'], $product_class_id, $classcategory_id1, $classcategory_id2), $this->objFormParam->getValue('quantity'));
-                $this->sendRedirect($this->getLocation(MOBILE_URL_CART_TOP), true);
+                $this->objDisplay->redirect($this->getLocation(MOBILE_URL_CART_TOP));
                 exit;
             }
@@ -452,6 +473,6 @@
         $this->arrRecommend = $this->lfPreGetRecommendProducts($product_id);
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php	(revision 19661)
@@ -54,5 +54,5 @@
      */
     function mobileInit() {
-        $this->tpl_mainpage = 'top.tpl';
+        $this->init();
     }
 
@@ -63,14 +63,19 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
 
-        $objView = new SC_SiteView();
-
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // レイアウトデザインを取得
         $layout = new SC_Helper_PageLayout_Ex();
         $layout->sfGetPageLayout($this, false, "index.php");
         $this->tpl_title = '';
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
@@ -81,10 +86,20 @@
      */
     function mobileProcess() {
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のプロセス(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objCustomer = new SC_Customer();
 
-        $objView = new SC_MobileView();
-        $objView->assign("isLogin", $objCustomer->isLoginSuccess(true));
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        #$objView = new SC_MobileView();
+        #$objView->assign("isLogin", $objCustomer->isLoginSuccess(true));
+        #$objView->assignobj($this);
+        #$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/order/LC_Page_Order.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/order/LC_Page_Order.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/order/LC_Page_Order.php	(revision 19661)
@@ -59,5 +59,15 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
         $layout = new SC_Helper_PageLayout_Ex();
@@ -67,7 +77,4 @@
         $layout->sfGetPageLayout($this, false, DEF_LAYOUT);
         $this->arrRet = $objDb->sf_getBasisData();
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
@@ -88,11 +95,18 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objDb = new SC_Helper_DB_Ex();
-
         $this->arrRet = $objDb->sf_getBasisData();
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php	(revision 18843)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_CSV.php	(revision 19661)
@@ -180,8 +180,9 @@
         
         // CSVを送信する。
-        $this->lfDownloadCsv($outputArray);
+        #$this->lfDownloadCsv($outputArray);
+        return $this->lfGetCsv2($outputArray);
         
         // 成功終了
-        return true;
+        #return true;
     }
 
@@ -495,4 +496,25 @@
         }
     }
+
+    /**
+     * CSVデータを取得する。
+     */
+    function lfGetCsv2($arrayData, $prefix = "") {
+
+        if($prefix == "") {
+            $dir_name = SC_Utils::sfUpDirName();
+            $file_name = $dir_name . date("ymdHis") .".csv";
+        } else {
+            $file_name = $prefix . date("ymdHis") .".csv";
+        }
+
+        /* データを出力 */
+        foreach ($arrayData as $lineArray) {
+            $lineString = $this->sfArrayToCsv($lineArray);
+            $lineString = mb_convert_encoding($lineString, 'SJIS-Win');
+            $lineString .= "\r\n";
+        }
+        return array($file_name, $lineString);
+    }
 }
 ?>
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php	(revision 19661)
@@ -0,0 +1,99 @@
+<?php
+
+class SC_Helper_Plugin{
+
+    /**
+     * enableかどうかを判別する
+     * インスタンス化
+     */
+    public static function load(LC_Page &$lcpage){
+        //データベースからクラス名を読み込む
+        $objQuery = new SC_Query();
+        $col = "*";
+        $table = "dtb_plugin";
+        $where = "enable = 1 AND del_flg = 0";
+        $arrRet = $objQuery->select($col, $table, $where);
+        $class_name = get_class($lcpage);
+
+        // 実行されたぺーじ
+        // 現在のページで使用するプラグインが存在するかどうかを検証する
+        foreach ($arrRet as $plugins){
+            // プラグインを稼働させるクラス名のリストを取得する
+            // プラグインのディレクトリ内の設定ファイルを参照する
+            $plugin_name = $plugins['name'];
+            $plugin_class_name = $plugins['class_name'];
+            require_once DATA_PATH."plugin/{$plugin_name}/{$plugin_class_name}.php";
+
+            $code_str = "\$is_enable = {$plugin_class_name}::is_enable(\$class_name);";
+            eval($code_str);
+            if ($is_enable) {
+                $arrPluginList[] = $plugin_class_name;
+            }
+        }
+        return $arrPluginList;
+    }
+
+    public static function preProcess(LC_Page &$lcpage){
+        //プラグインの名前を判別してページ内で有効なプラグインがあれば実行する
+        $arrPluginList = SC_Helper_Plugin::load($lcpage);
+       if(count($arrPluginList) > 0){
+            foreach ($arrPluginList as $key => $value){
+                $instance = new $value;
+                $instance->preProcess($lcpage);
+            }
+        }
+        return $lcpage;
+    }
+
+    /* 読み込んだプラグインの実行用メソッド
+     *
+     */
+    public static function process(LC_Page &$lcpage){
+        //プラグインの名前を判別してページ内で有効なプラグインがあれば実行する
+        $arrPluginList = SC_Helper_Plugin::load($lcpage);
+        if(count($arrPluginList) > 0){
+            foreach ($arrPluginList as $key => $value){
+                $instance = new $value;
+                $instance->process($lcpage);
+            }
+        }
+        return $lcpage;
+    }
+
+    /**
+     * 稼働中のプラグインを取得する。
+     */
+    public static function getEnablePlugin(){
+        $objQuery = new SC_Query();
+        $col = '*';
+        $table = 'dtb_plugin';
+        $where = 'enable = 1 AND del_flg = 0';
+        $arrRet = $objQuery->select($col,$table,$where);
+        return $arrRet;
+    }
+
+    /**
+     * インストールされているプラグインを取得する。
+     */
+    public static function getAllPlugin(){
+        $objQuery = new SC_Query();
+        $col = '*';
+        $table = 'dtb_plugin';
+        $where = 'del_flg = 0';
+        $arrRet = $objQuery->select($col,$table,$where);
+        return $arrRet;
+    }
+
+
+    public static function getFilesystemPlugins(){
+        $plugin_dir = DATA_PATH."/plugin/";
+        if($dh = opendir($plugin_dir)){
+            while(($file = readdir($dh) !== false)){
+                if(is_dir($plugin_dir."/".$file)){
+                     
+                }
+            }
+        }
+    }
+}
+
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Session.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Session.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Session.php	(revision 19661)
@@ -132,4 +132,64 @@
          return true;
     }
+
+    /**
+     * トランザクショントークンを生成し, 取得する.
+     *
+     * 悪意のある不正な画面遷移を防止するため, 予測困難な文字列を生成して返す.
+     * 同時に, この文字列をセッションに保存する.
+     *
+     * この関数を使用するためには, 生成した文字列を次画面へ渡すパラメータとして
+     * 出力する必要がある.
+     *
+     * 例)
+     * <input type="hidden" name="transactionid" value="この関数の返り値" />
+     *
+     * 遷移先のページで, LC_Page::isValidToken() の返り値をチェックすることにより,
+     * 画面遷移の妥当性が確認できる.
+     *
+     * @access protected
+     * @return string トランザクショントークンの文字列
+     */
+    function getToken() {
+        if (empty($_SESSION[TRANSACTION_ID_NAME])) {
+            $_SESSION[TRANSACTION_ID_NAME] = $this->createToken();
+        }
+        return $_SESSION[TRANSACTION_ID_NAME];
+    }
+
+    /**
+     * トランザクショントークンの妥当性をチェックする.
+     *
+     * 前画面で生成されたトランザクショントークンの妥当性をチェックする.
+     * この関数を使用するためには, 前画面のページクラスで LC_Page::getToken()
+     * を呼んでおく必要がある.
+     *
+     * @access protected
+     * @return boolean トランザクショントークンが有効な場合 true
+     */
+    function isValidToken() {
+
+        $checkToken = "";
+
+        // $_POST の値を優先する
+        if (isset($_POST[TRANSACTION_ID_NAME])) {
+
+            $checkToken = $_POST[TRANSACTION_ID_NAME];
+        } elseif (isset($_GET[TRANSACTION_ID_NAME])) {
+
+            $checkToken = $_GET[TRANSACTION_ID_NAME];
+        }
+
+        $ret = false;
+        // token の妥当性チェック
+        if ($checkToken === $_SESSION[TRANSACTION_ID_NAME]) {
+
+            $ret = true;
+        }
+
+        unset($_SESSION[TRANSACTION_ID_NAME]);
+        return $ret;
+    }
+
 }
 ?>
